# EXAMPLE/citersol.c File Reference

`#include "slu_cdefs.h"`

## Functions
void | cmatvec_mult (complex alpha, complex x[], complex beta, complex y[])
void | cpsolve (int n, complex x[], complex y[])
int | main (int argc, char *argv[])
## Variables
int * | GLOBAL_PERM_C
int * | GLOBAL_PERM_R
SuperMatrix * | GLOBAL_A
SuperMatrix * | GLOBAL_L
SuperMatrix * | GLOBAL_U
SuperLUStat_t * | GLOBAL_STAT

## Function Documentation

void cmatvec_mult | ( | complex | alpha,
|  | complex | x[],
|  | complex | beta,
|  | complex | y[] |
| ) |  |  |

void cpsolve | ( | int | n,
|  | complex | x[],
|  | complex | y[] |
| ) |  |  |

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

## Variable Documentation

SuperMatrix* GLOBAL_A

SuperMatrix * GLOBAL_L

int* GLOBAL_PERM_C

int * GLOBAL_PERM_R

SuperLUStat_t* GLOBAL_STAT

SuperMatrix * GLOBAL_U